<%@ page import="java.util.*, org.ourgrid.common.gump.*, org.ourgrid.peer.manager.status.*, org.ourgrid.webstatus.*, org.ourgrid.common.spec.*,  java.text.*, javax.swing.text.*, org.ourgrid.peer.manager.allocation.*" buffer="50kb" autoFlush="true" %>

<%
	PeerInfoPack pack	= (PeerInfoPack)request.getAttribute("pack");
%>

<html>
<head>

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>OurGrid WebStatus 3.3.1 - <%= pack.getPeerID().getName() %> specifications</title>
<link href="files/style.css" rel="stylesheet" type="text/css">

</head>

<body>
	<table width="95%" border="0" cellpadding="0" cellspacing="0" align="center">
		<tr valign="center">
            <td align="left">
            	<a href="http://ourgrid.org" target="_blank"><img src="img/logo.png" alt="OurGrid Web Status" align="left" border="0"></a>
            </td>
			<td class="info" align="right" valign="top" width="40%">
			<a href="javascript:history.back();" class="statisticsMacro">back to the main page</a>
			</td>
		</tr>
		<tr valign="center">
			<td >&nbsp;</td>
			<td >&nbsp;</td>
			<td >&nbsp;</td>
		</tr>
	</table>
	
	<table width="95%" height="0" align="center" class="centerMacroInf">
		<tr valign="top">
			<td width="100%">
				<b>Peer details</b>
			</td>
		</tr>
	</table>
	
	<table width="95%" height="0" align="center" class="cabecMacroInf">
	
		<tr>
			<td><b>Name:</b></td>
			<td><%= pack.getPeerID().getName() %></td>
		</tr>
		<tr>
			<td><b>Description:</b></td>
			<td><%= pack.getDescription() %></td>
		</tr>
		<tr>
			<td><b>Version:</b></td>
			<td><%= pack.getVersion() %></td>
		</tr>
		<tr>
			<td><b>Started at:</b></td>
			<td><%= pack.getUptime() %></td>
		</tr>
		<tr>
			<td><b>Administrator email:</b></td>
			<td><%= pack.getEmail() %></td>
		</tr>
		<tr>
			<td><b>Latitude:</b></td>
			<td><%= pack.getLatitude() %></td>
		</tr>
		<tr>
			<td><b>Longitude:</b></td>
			<td><%= pack.getLongitude() %></td>
		</tr>
		
	</table>
	
	<br>

<%

	if ( pack.getAllGums().size() > 0 ) {

%>
	<table width="95%" height="0" align="center" class="centerMacro">
		<tr valign="top">
			<td width="100%" class="centerMacro">
				<b>Local Gums (<%= pack.getAllGums().size() %>)</b>
			</td>
		</tr>
		<tr class="line">
			<td >&nbsp;</td>
		</tr>
	</table>
	
	<table width="95%" height="0" align="center">
		<tr>
			<td align="center" class="cabecMacro"> Name </td>
			<td align="center" class="cabecMacro"> Type </td>
			<td align="center" class="cabecMacro"> OS </td>
			<td align="center" class="cabecMacro"> Processor Family </td>
			<td align="center" class="cabecMacro"> Memory </td>
			<td align="center" class="cabecMacro"> Environment </td>
			<td align="center" class="cabecMacro"> Status </td>
		</tr>
<%
					Iterator<StatusEntry> itLocal = pack.getAllGums().iterator();
				
					while(itLocal.hasNext()) {

						StatusEntry entry = itLocal.next();
						
						String gumName			= entry.getGumSpec().getAttribute(GumSpec.ATT_NAME);
						String gumType			= entry.getGumSpec().getAttribute(GumSpec.ATT_TYPE);
						String gumOS			= entry.getGumSpec().getAttribute(GumSpec.ATT_OS);
						String gumProcFamily	= entry.getGumSpec().getAttribute(GumSpec.ATT_PROCESSOR_FAMILY);
						String gumMem			= entry.getGumSpec().getAttribute(GumSpec.ATT_MEM);
						String gumEnv			= entry.getGumSpec().getAttribute(GumSpec.ATT_ENVIRONMENT);
						
						String stateCssClass = "";
						
						if (entry.getStatus() == AllocationStatus.CONTACTING) {
							stateCssClass = "gumContacting";
						} else if (entry.getStatus() == AllocationStatus.IDLE) {
							stateCssClass = "gumIdle";
						} else if (entry.getStatus() == AllocationStatus.IN_USE) {
							stateCssClass = "gumInUse";
						} else if (entry.getStatus() == AllocationStatus.DONATED) {
							stateCssClass = "gumDonated";
						} else if (entry.getStatus() == AllocationStatus.OWNER) {
							stateCssClass = "gumOwner";
						}

						
%>
		<tr>
			<td align="center" class="<%= stateCssClass %>"><%= gumName != null ? gumName : "-" %></td>
			<td align="center" class="<%= stateCssClass %>"><%= gumType != null ? gumType : "-" %></td>
			<td align="center" class="<%= stateCssClass %>"><%= gumOS != null ? gumOS : "-" %></td>
			<td align="center" class="<%= stateCssClass %>"><%= gumProcFamily != null ? gumProcFamily : "-" %></td>
			<td align="center" class="<%= stateCssClass %>"><%= gumMem != null ? gumMem : "-" %></td>
			<td align="center" class="<%= stateCssClass %>"><%= gumEnv != null ? gumEnv : "-" %></td>
			<td align="center" class="text<%= stateCssClass %>"><b><%= entry.getStatus() %></b></td>
		</tr>			
		
<%		
					}
%>				
		
	</table>	
	
	<br><br>

<%
	}

	if ( pack.getRemoteGums().size() > 0 ) {
		
%>
	
	<table width="95%" height="0" align="center" class="centerMacro">
		<tr valign="top">
			<td width="100%" class="centerMacro">
				<b>Community Gums (<%= pack.getRemoteGums().size() %>)</b>
			</td>
		</tr>
		<tr class="line">
			<td >&nbsp;</td>
		</tr>
	</table>
		
	<table width="95%" height="0" align="center">
	
		<tr>
			<td align="center" class="cabecMacro"> Name </td>
			<td align="center" class="cabecMacro"> Original Site </td>
			<td align="center" class="cabecMacro"> Type </td>
			<td align="center" class="cabecMacro"> OS </td>
			<td align="center" class="cabecMacro"> Processor Family </td>
			<td align="center" class="cabecMacro"> Memory </td>
		</tr>
<%
					Iterator<StatusEntry> itCommunity = pack.getRemoteGums().iterator();
				
					while(itCommunity.hasNext()) {
					
						StatusEntry entry = itCommunity.next();
						
						String gumPeer = entry.getGumSpec().getGumID().getPeerName();
						String gumName = entry.getGumSpec().getAttribute(GumSpec.ATT_NAME);
						String gumType = entry.getGumSpec().getAttribute(GumSpec.ATT_TYPE);
						String gumOS   = entry.getGumSpec().getAttribute(GumSpec.ATT_OS);
						String gumProcFamily = entry.getGumSpec().getAttribute(GumSpec.ATT_PROCESSOR_FAMILY);
						String gumMem  = entry.getGumSpec().getAttribute(GumSpec.ATT_MEM);
%>
		<tr>
			<td align="center" class="gumInUse"><%= gumName != null ? gumName : "-" %></td>
			<td align="center" class="gumInUse"><%= gumPeer != null ? gumPeer : "-" %></td>
			<td align="center" class="gumInUse"><%= gumType != null ? gumType : "-" %></td>
			<td align="center" class="gumInUse"><%= gumOS != null ? gumOS : "-" %></td>
			<td align="center" class="gumInUse"><%= gumProcFamily != null ? gumProcFamily : "-" %></td>
			<td align="center" class="gumInUse"><%= gumMem != null ? gumMem : "-" %></td>
		</tr>			
<%		
					}
%>

	</table>	
	
	<br><br>
	
<%
	}

%>
	<table width="95%" height="0" align="center" class="centerMacro">
		<tr>
			<td width="100%" class="centerMacro">
				<b>Local Consumers (<%= pack.getLocalConsumers() != null ? pack.getLocalConsumers().size() : "Information not available" %>)</b>
			</td>
		</tr>
		<tr class="line">
			<td >&nbsp;</td>
		</tr>
	</table>
<%
	if ( pack.getLocalConsumers() != null && pack.getLocalConsumers().size() > 0 ) {
%>	
		
		<table width="95%" height="0" align="center">
		
			<tr>
				<td align="center" class="cabecMacro"> URL </td>
				<td align="center" class="cabecMacro"> Local Gums </td>
				<td align="center" class="cabecMacro"> Community Gums </td>
			</tr>
<%
					Iterator<ConsumerStatus> itConsumers = pack.getLocalConsumers().iterator();
				
					while(itConsumers.hasNext()) {
						ConsumerStatus consumer = itConsumers.next();
						String consumerName  = consumer.getConsumerMachineName();
						int localGums = consumer.getLocalGums();
						int communityGums = consumer.getRemoteGums();
%>
						<tr>
							<td align="center" class="gumContacting"><%= consumerName != null ? consumerName : "-" %></td>
							<td align="center" class="gumContacting"><%= localGums %></td>
							<td align="center" class="gumContacting"><%= communityGums %></td>
						</tr>			
<%		
					}
%>
		</table>
	
<%
	}
%>	
	
	<br><br>
	
	<table width="95%" border="0" cellpadding="0" cellspacing="2" align ="center">
		<tr valign="top">
		</tr>
		<tr>
			<td class="rodape">&nbsp;</td>			
		</tr>
	</table>
	<table width="95%" border="0" cellpadding="0" cellspacing="2" align ="center">
	</table>

	<table width="95%" height="30" border="0" cellpadding="5" cellspacing="0" align="center">
		<tr valign="top">
			<td COLSPAN="3" width="100%" class="info">
				<hr>
			</td>
		</tr>
		<tr valign="top">
			<td width="48%" class="rodape" align="left">
				OurGrid Web Status 3.3.1<br>
				<a href="http://www.ourgrid.org" target="_blank">OurGrid Project</a>
			</td>
		</tr>
	</table>


</body>
</html>
