<%@ page import="java.util.*, org.ourgrid.webstatus.*, org.ourgrid.peer.manager.allocation.*,  org.ourgrid.common.spec.*, org.ourgrid.common.url.*, org.ourgrid.peer.manager.status.*, java.text.*, javax.swing.text.*" errorPage="erro.jsp" buffer="50kb" autoFlush="true" %>

<html>
<head>

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>OurGrid WebStatus 3.3.1</title>
<link href="files/style.css" rel="stylesheet" type="text/css">

</head>

<%
	Date currentDate 		= new Date();
	Date timeSnapshot 		= (Date)request.getAttribute("timeSnapshot");
	int totalPeers			= 0;
	int totalConsumers		= 0;
	int totalMachines		= 0;
	
	int totalIdle		= 0;
	int totalInUse		= 0;
	int totalContacting	= 0;
	int totalDonated	= 0;
	int totalOwner		= 0;
	

	Collection peerInfoList = (Collection)request.getAttribute("peerInfoList");
	totalPeers = peerInfoList.size();
	

//	 Getting statistics informations


	Iterator itTotal = peerInfoList.iterator();
	while (itTotal.hasNext()) {
		
		PeerInfoPack pack = (PeerInfoPack) itTotal.next();
		
		if (pack.getLocalConsumers() != null) {
			totalConsumers += pack.getLocalConsumers().size();
		}
		
		totalMachines += pack.getAllGums().size();
		
		Collection<StatusEntry> machines = pack.getAllGums();
		
		Iterator<StatusEntry> itMachines = machines.iterator();
		
		while (itMachines.hasNext()) {
			
			StatusEntry entry = itMachines.next();
			
		    	switch (entry.getStatus()) {
					
		    		case IDLE : {
						totalIdle++;
						break;
					}
					
		    		case DONATED : {
						totalDonated++;
						break;
					}
	
		    		case OWNER : {
						totalOwner++;
						break;
					}
	
		    		case CONTACTING : {
						totalContacting++;
						break;
					}
	
		    		case IN_USE : {
						totalInUse++;
						break;
					}
				}
			}
	}
%>		


<body>
	<table width="95%" border="0" cellpadding="0" cellspacing="0" align="center">
		<tr valign="center">
            <td align="left">
            	<a href="http://ourgrid.org" target="_blank"><img src="img/logo.png" alt="OurGrid Web Status" align="left" border="0"></a>
            </td>
			<td class="info" align="left" width="40%">
			&nbsp;
			</td>
            <td align="center" valign="top">
            	<table width="100%" border="0" cellpadding="0" cellspacing="0" align="center">
					<tr valign="top">
						<td class="rodape" align="center">&nbsp;</td>
					</tr>
					<tr valign="top">
						<td class="tipCabecMacro" align="center">Statistics</td>
					</tr>
				</table>
            	<table width="100%" border="0" cellpadding="2" cellspacing="1" align="center" class="infoMacro">
					<tr valign="top">
						<td align="right">Server time:</td>
						<td align="left" >&nbsp;<b><%= currentDate %></b></td>
					</tr>
					<tr valign="top">
						<td align="right">Last snapshot time:</td>
						<td align="left" >&nbsp;<b><%= timeSnapshot %></b></td>
					</tr>
					<tr valign="top">
						<td align="right">Peers connected:</td>
						<td align="left" >&nbsp;<b><%= totalPeers %></b></td>
					</tr>
					<tr valign="top">
						<td align="right">Consumers connected:</td>
						<td align="left" >&nbsp;<b><%= totalConsumers %></b></td>
					</tr>
					<tr valign="top">
						<td align="right">Machines on grid:</td>
						<td align="left" >&nbsp;<b><%= totalMachines %></b></td>
					</tr>
					<tr valign="top">
						<td align="right">Idle Machines:</td>
						<td align="left" >&nbsp;<b><%= totalIdle %></b></td>
					</tr>
					<tr valign="top">
						<td align="right">Machines in use:</td>
						<td align="left" >&nbsp;<b><%= totalInUse %></b></td>
					</tr>
            	</table>
            </td>
		</tr>
		<tr valign="center">
			<td >&nbsp;</td>
			<td >&nbsp;</td>
			<td >&nbsp;</td>
		</tr>

	</table>
	
	<table width="95%" height="0" border="0" cellpadding="5" cellspacing="0" align="center">
		<tr valign="top">
			<td width="100%" class="centerMacro">
				<b>Online Peers</b>
			</td>
		</tr>
		<tr height="10">
			<td class="rodape">&nbsp;</td>
		</tr>
	</table>
	
	<table width="95%" height="0" border="0" cellpadding="0" cellspacing="3" align="center">
		<tr valign="center">
			<td rowspan="2" align="center" class="centerMacro">
				<font class="cabec">Peer Name</font>
			</td>
			<td rowspan="2" align="center" class="centerMacro">
				<font class="cabec">Version</font>
			</td>
			<td rowspan="2" align="center" class="centerMacro">
				<font class="cabec">Local Consumers</font>
			</td>
			<td colspan="5" align="center" class="centerMacro">
				<font class="cabec">Local Machines</font>
			</td>
			<td rowspan="2" align="center" class="centerMacro">
				<font class="cabec">Received Machines</font>
			</td>
		</tr>
		<tr valign="center">
			<td align="center" class="centerMacro">
				<font class="cabec">Total</font>
			</td>
			<td align="center" class="centerMacro">
				<font class="cabec">Idle</font>
			</td>
			<td align="center" class="centerMacro">
				<font class="cabec">In use</font>
			</td>
			<td align="center" class="centerMacro">
				<font class="cabec">Donated</font>
			</td>
			<td align="center" class="centerMacro">
				<font class="cabec">Unavailable</font>
			</td>
		</tr>
		
<%

	int qtdLocalGums = 0;
	int qtdRemoteGums = 0;
	
    int i = 0;
    String[] cores = {"#E9E9E9","#FFFFFF"};
	
	
	Iterator itDiv = peerInfoList.iterator();
	while (itDiv.hasNext()) {
		
        i = 1 -i;
		
		int qtdIdle			= 0;
		int qtdInUse		= 0;
		int qtdContacting	= 0;
		int qtdDonated		= 0;
		int qtdOwner		= 0;

		
		PeerInfoPack pack = (PeerInfoPack) itDiv.next();
		String peerOriginalName = pack.getPeerID().getName();
		String peerName = pack.getPeerID().getName();
		peerName = peerName.replace(' ','_');
		peerName = peerName.replace('.','_');
		peerName = peerName.replace('-','_');
		qtdLocalGums		+= pack.getLocalGums().size();
		qtdRemoteGums		+= pack.getRemoteGums().size();
		
		Collection<StatusEntry> machines = pack.getAllGums();
		
		Iterator<StatusEntry> itMachines = machines.iterator();
		
		while (itMachines.hasNext()) {
			
			StatusEntry entry = itMachines.next();
			
		    	switch (entry.getStatus()) {
					
		    		case IDLE : {
						qtdIdle++;
						break;
					}
					
		    		case DONATED : {
						qtdDonated++;
						break;
					}
	
		    		case OWNER : {
						qtdOwner++;
						break;
					}
	
		    		case CONTACTING : {
						qtdContacting++;
						break;
					}
	
		    		case IN_USE : {
						qtdInUse++;
						break;
					}
	
				}
				
				
			}

		
		

%>

		<tr bgcolor="<%= cores[i] %>">
			<td>
				<div id="div<%= peerName %>" class="info">
					<a class="peerName" href="./WebStatusServlet?view=details&peerID=<%= pack.getPeerID().getIdValue() %>" ><%= peerOriginalName %></a> 
				</div>
			</td>
			<td align="center" class="info">
				<font class="numberBlack"><%= pack.getVersion() %></font>
			</td>
			<td align="center" class="info">
				<font class="numberBlack"><%= pack.getLocalConsumers() != null ? pack.getLocalConsumers().size() : "-" %></font>
			</td>
			<td align="center" class="info">
				<font class="numberBlack"><%= pack.getAllGums() != null ? pack.getAllGums().size() : "-" %></font>
			</td>
			<td align="center" class="info">
				<font class="numberGreen"><%= qtdIdle %></font>
			</td>
			<td align="center" class="info">
				<font class="numberOrange"><%= qtdInUse %></font>
			</td>
			<td align="center" class="info">
				<font class="numberBlue"><%= qtdDonated %></font>
			</td>
			<td align="center" class="info">
				<font class="numberGray"><%= qtdContacting + qtdOwner %></font>
			</td>
			<td align="center" class="info">
				<font class="numberViolet"><%= pack.getRemoteGums() != null ? pack.getRemoteGums().size() : "-" %></font>
			</td>

		</tr>

<%
	}
%>		
		<tr valign="center">
			<td colspan="3" align="left" class="centerMacro">
				<font class="cabec">Totals</font>
			</td>
			<td align="center" class="centerMacro">
				<font class="cabec"><%= totalMachines  %></font>
			</td>
			<td align="center" class="centerMacro">
				<font class="cabec"><%= totalIdle %></font>
			</td>
			<td align="center" class="centerMacro">
				<font class="cabec"><%= totalInUse %></font>
			</td>
			<td align="center" class="centerMacro">
				<font class="cabec"><%= totalDonated %></font>
			</td>
			<td align="center" class="centerMacro">
				<font class="cabec"><%= totalContacting + totalOwner %></font>
			</td>
			<td align="center" class="centerMacro">
				<font class="cabec">&nbsp;</font>
			</td>
		</tr>
		
	</table>

	<table width="95%" border="0" cellpadding="0" cellspacing="2" align ="center">
		<tr valign="top">
		</tr>
		<tr>
			<td class="rodape">&nbsp;</td>			
		</tr>
	</table>
	
 	<table width="95%" height="30" border="0" cellpadding="5" cellspacing="0" align="center">
		<tr valign="top">
			<td width="100%" class="info" align="left">
				Legend:<br><br>
				<img height="10" src="./img/green.png"> Idle machines<br>
				<img height="10" src="./img/orange.png"> Machines in use by local requests<br>
				<img height="10" src="./img/violet.png"> Machines in use received from the community<br>
				<img height="10" src="./img/blue.png"> Machines donated to the community<br>
				<img height="10" src="./img/gray.png"> Machines that are either off-line or in use by their owners (not idle)<br>
				<b>-</b> Information not available (Old version)
			</td>
		</tr>
	</table>
	
	<table width="95%" border="0" cellpadding="0" cellspacing="2" align ="center">
	</table>

	<table width="95%" height="30" border="0" cellpadding="5" cellspacing="0" align="center">
		<tr valign="top">
			<td COLSPAN="3" width="100%" class="info">
				<hr>
			</td>
		</tr>
		<tr valign="top">
			<td width="48%" class="rodape" align="left">
				OurGrid Web Status 3.3.1<br>
				<a href="http://www.ourgrid.org" target="_blank">OurGrid Project</a>
			</td>
		</tr>
	</table>
</body>
</html>
