<%@ page import="java.util.*, org.ourgrid.webstatus.*, org.ourgrid.common.spec.*" %>

<%
	Date currentDate = new Date();
	Date timeSnapshot = (Date)request.getAttribute("timeSnapshot");
	int totalPeers	= 0;
	int totalGums	= 0;
	int totalCommunityGums	= 0;
	
	Collection peerInfoList = (Collection)request.getAttribute("peerInfoList");
	totalPeers = peerInfoList.size();
	
%>

<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>OurGrid WebStatus 3.0</title>
	<link href="files/style.css" rel="stylesheet" type="text/css">
</head>

<body>
	<table width="95%" border="0" cellpadding="0" cellspacing="0" align="center">
		<tr valign="center">
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
		</tr>
		<tr valign="center">
            <td ROWSPAN=6><img src="img/logo.png" alt="OurGrid Web Status" align="left"></td>
            <td ROWSPAN=6>&nbsp;</td>
            <td COLSPAN=2 width="40%" align="center" class="tipCabecMacro">Statistics</td>
		</tr>
		<tr valign="center">
			<td class="tipTextMacro" align="right">Server time:</td>
			<td class="tipTextMacro" align="left" >&nbsp;<b><%= currentDate %></b></td>
		</tr>
		<tr valign="center">
			<td class="tipTextMacro" align="right">Last snapshot time:</td>
			<td class="tipTextMacro" align="left" >&nbsp;<b><%= timeSnapshot %></b></td>
		</tr>
		<tr valign="center">
			<td class="tipTextMacro" align="right">Peers:</td>
			<td class="tipTextMacro" align="left" >&nbsp;<b><%= totalPeers %></b></td>
		</tr>
		<tr valign="center">
			<td class="tipTextMacro" align="right" >Grid machines:</td>
			<td class="tipTextMacro" align="left" >&nbsp;<b><%= totalGums %></b></td>
		</tr>
		<tr valign="center">
			<td class="tipTextMacro" align="right">Donated grid machines:</td>
			<td class="tipTextMacro" align="left">&nbsp;<b><%= totalCommunityGums %></b></td>
		</tr>
		<tr valign="center" height="15">
			<td align="right" >&nbsp;</td>
			<td align="left" >&nbsp;</td>
		</tr>
	</table>
	
	<table width="95%" height="30" border="0" cellpadding="5" cellspacing="0" align="center">
		<tr valign="top">
			<td width="100%" class="centerMacro">
				<b>Online Peers</b>
			</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
		</tr>
	</table>


	<table width="95%" cellpadding="0" cellspacing="0" align="center">
		<tr>
			<td class="cabecPeers" align="center">Peer Name</td>
			<td class="cabecPeers" align="center">Online</td>
			<td class="cabecPeers" align="center">Available</td>
			<td class="cabecPeers" align="center">Allocated</td>
			<td class="cabecPeers" align="center">Donated</td>
			<td class="cabecPeers" align="center">Received</td>
			<td class="cabecPeers" align="center">Offline</td>
			<td class="cabecPeers" align="center">Configurated</td>
		</tr>
<%
	
	int totConfigurated	= 0;
	int totOnline 		= 0;
	int totAvailable 	= 0;
	int totAllocated 	= 0;
	int totDonated 		= 0;
	int totReceived 	= 0;
	int totOffline 		= 0;
	
	int i = 0;
	
	Iterator it = peerInfoList.iterator();
	while (it.hasNext()) {
		i = 1 - i;
		PeerInfoPack pack = (PeerInfoPack) it.next();
		String peerName = pack.getPeerID().getName();
		int online = pack.getOnlineGums().size();
		int available = pack.getAvailableGums().size();
		int allocated = pack.getAllocatedGums().size();
		int donated = pack.getDonatedGums().size();
		int received = pack.getCommunityGuMs().size();
		int offline = pack.getOfflineGums().size();
		int configurated = pack.getConfiguratedGums().size();
		
		totOnline += online;
		totAvailable += available;
		totAllocated += allocated;
		totDonated += donated;
		totReceived += received;
		totOffline += offline;
		totConfigurated += configurated;
%>	
		<tr>
			<td class="linePeers<%= i %>"><%= peerName %></td>
			<td class="linePeers<%= i %>" align="center"><%= online %></td>
			<td class="linePeers<%= i %>" align="center"><%= available %></td>
			<td class="linePeers<%= i %>" align="center"><%= allocated %></td>
			<td class="linePeers<%= i %>" align="center"><%= donated %></td>
			<td class="linePeers<%= i %>" align="center"><%= received %></td>
			<td class="linePeers<%= i %>" align="center"><%= offline %></td>			
			<td class="linePeers<%= i %>" align="center"><%= configurated %></td>
		<tr>
<%	
	}
%>		
		<tr>
			<td class="totalPeers" align="center">Totals</td>
			<td class="totalPeers" align="center"><b><%= totOnline %></b></td>
			<td class="totalPeers" align="center"><b><%= totAvailable %></b></td>
			<td class="totalPeers" align="center"><b><%= totAllocated %></b></td>
			<td class="totalPeers" align="center"><b><%= totDonated %></b></td>
			<td class="totalPeers" align="center"><b><%= totReceived %></b></td>
			<td class="totalPeers" align="center"><b><%= totOffline %></b></td>
			<td class="totalPeers" align="center"><b><%= totConfigurated %></td>
		<tr>
	</table>


	<table width="95%" height="30" border="0" cellpadding="5" cellspacing="0" align="center">
		<tr valign="top">
			<td width="100%" class="rodape" align="left">
				<hr>
				OurGrid Web Status 3.0<br>
				<a href="http://www.ourgrid.org" target="_blank">OurGrid Project</a><br>
				<div align="right">
				This site was developed and maintenance by <a href="http://dragao.lsd.ufcg.edu.br/twiki-public/bin/view/OG/OurPergentino">Jose Pergentino</a>
				</div>
			</td>
		</tr>
	</table>


</body>
</html>