/*
 * Copyright (c) 2002-2004 Universidade Federal de Campina Grande
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package org.ourgrid.common.fd;

import java.rmi.RemoteException;

public class FakeMonitorable implements Monitorable {

	private GenericState state;

	private String name;


	public FakeMonitorable( GenericState state, String monitorableName ) {

		this.state = state;
		this.name = monitorableName;
	}


	public String getName() throws RemoteException {

		return this.name;
	}


	public GenericState getCurrentState() throws RemoteException {

		return this.state;
	}


	public double getEncarnationNumber() throws RemoteException {

		return 0;
	}

}
