/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.corepeer;

import java.rmi.RemoteException;

import org.ourgrid.common.rmi.OurgridUnicastRemoteObject;
import org.ourgrid.corepeer.ui.ErrorCode;

public class ShutdownManagerImpl extends OurgridUnicastRemoteObject implements ShutdownManager {

	/**
	 * Serial identification of the class. It need to be changed only if the
	 * class interface is changed.
	 */
	private static final long serialVersionUID = 33L;


	public ShutdownManagerImpl() throws RemoteException {

		super();
	}


	public void shutdown() {

		System.exit( ErrorCode.OK );
	}

}
