package org.ourgrid.mygrid.scheduler;

import org.ourgrid.common.event.RequestEvent;
import org.ourgrid.mygrid.scheduler.gridmanager.GridManager;
import org.ourgrid.mygrid.scheduler.gridmanager.GridManagerListenerRemote;

public class RemoveGridManagerListenerRequestEvent implements RequestEvent {

	private static final long serialVersionUID = 33L;

	private final GridManagerListenerRemote listener;

	private final GridManager gridManager;


	public RemoveGridManagerListenerRequestEvent( GridManager gridManager, GridManagerListenerRemote listener ) {

		this.gridManager = gridManager;
		this.listener = listener;

	}


	public void process() {

		gridManager.removeListener( listener );

	}

}
