package org.ourgrid.mygrid.scheduler.test;

import org.ourgrid.common.spec.JobSpec;
import org.ourgrid.common.spec.exception.TaskSpecificationException;
import org.ourgrid.mygrid.scheduler.jobmanager.EBJobManager;
import org.ourgrid.mygrid.scheduler.jobmanager.JobEntry;
import org.ourgrid.mygrid.ui.test.FakeScheduler;

public class FakeJobManager extends EBJobManager {

	public FakeJobManager() {

		super();
	}


	@Override
	protected void realAddJob( int jobId, JobSpec jobSpec ) {

		JobEntry newJob;
		try {
			newJob = new FakeScheduler().new FakeJob( jobId, jobSpec );
		} catch ( TaskSpecificationException e ) {
			throw new AssertionError( e.getMessage() );
		}
		addNewJob( jobId, newJob );
	}
}
