package org.ourgrid.mygrid.ui.gui;

import java.util.Collection;

import org.ourgrid.common.id.GumID;
import org.ourgrid.common.id.ObjectID;
import org.ourgrid.common.spec.GumSpec;
import org.ourgrid.common.spec.PeerSpec;
import org.ourgrid.mygrid.scheduler.jobmanager.ReplicaEntry;

public interface GridManagerListener {

	void hereIsGum( GumSpec spec, int jobID, ObjectID peerBrokerAccessID );


	void setPeers( Collection<PeerSpec> peerSpecs );


	void deleteGum( GumID gumID );


	void allocate( GumID gumID, ReplicaEntry replica );


	void gumIsReady( GumID gumID );


	void peerAlive( PeerSpec peerSpec );


	void peerIsDead( PeerSpec peerSpec );
}
