package org.ourgrid.mygrid.ui.gui.event;

import org.ourgrid.common.id.GumID;
import org.ourgrid.mygrid.scheduler.jobmanager.ReplicaEntry;
import org.ourgrid.mygrid.ui.gui.SimpleSynchronizedGridManager;

public class GUIAllocateNotifyEvent implements GUIActionEvent {

	private static final long serialVersionUID = 33L;

	private final ReplicaEntry replica;

	private final SimpleSynchronizedGridManager manager;

	private final GumID gumID;


	public GUIAllocateNotifyEvent( GumID gumID, ReplicaEntry replica, SimpleSynchronizedGridManager manager ) {

		this.gumID = gumID;
		this.replica = replica;
		this.manager = manager;
	}


	public GUIEventType process() {

		manager.allocate( this.gumID, this.replica );
		return GUIEventType.GUMS;
	}

}
