package org.ourgrid.mygrid.ui.gui.event;

import org.ourgrid.common.spec.PeerSpec;
import org.ourgrid.mygrid.ui.gui.SimpleSynchronizedGridManager;

public class GUIPeerAliveNotifyEvent implements GUIActionEvent {

	private static final long serialVersionUID = 33L;

	private final SimpleSynchronizedGridManager manager;

	private final PeerSpec peerSpec;


	public GUIPeerAliveNotifyEvent( PeerSpec peerSpec, SimpleSynchronizedGridManager manager ) {

		this.peerSpec = peerSpec;
		this.manager = manager;
	}


	public GUIEventType process() {

		manager.peerAlive( this.peerSpec );
		return GUIEventType.PEERS;
	}

}
