package org.ourgrid.mygrid.ui.gui.event;

import org.ourgrid.common.spec.PeerSpec;
import org.ourgrid.mygrid.ui.gui.SimpleSynchronizedGridManager;

public class GUIPeerIsDeadNotifyEvent implements GUIActionEvent {

	private static final long serialVersionUID = 33L;

	private final PeerSpec peerSpec;

	private final SimpleSynchronizedGridManager manager;


	public GUIPeerIsDeadNotifyEvent( PeerSpec peerSpec, SimpleSynchronizedGridManager manager ) {

		this.peerSpec = peerSpec;
		this.manager = manager;
	}


	public GUIEventType process() {

		manager.peerIsDead( this.peerSpec );
		return GUIEventType.PEERS;
	}

}
