package org.ourgrid.mygrid.ui.gui.event;

import org.ourgrid.mygrid.ui.gui.SimpleSynchronizedJobManager;

public class GUIRemoveJobNotifyEvent implements GUIActionEvent {

	private static final long serialVersionUID = 33L;

	private final int jobId;

	private final SimpleSynchronizedJobManager manager;


	public GUIRemoveJobNotifyEvent( int jobId, SimpleSynchronizedJobManager manager ) {

		this.jobId = jobId;
		this.manager = manager;
	}


	public GUIEventType process() {

		manager.removeJob( jobId );
		return GUIEventType.JOB;
	}

}
