package org.ourgrid.peer.manager;

import java.rmi.RemoteException;

import org.ourgrid.common.gump.GumpClient;
import org.ourgrid.common.id.ObjectID;
import org.ourgrid.mygrid.scheduler.gridmanager.GumResponseEntry;

public class FakeGumpClient implements GumpClient {

	private ObjectID objectID;


	public FakeGumpClient( String objectIdUrl ) {

		double random = 1000 * Math.random();
		this.objectID = new ObjectID( objectIdUrl, Math.round( random ), objectIdUrl );
	}


	public FakeGumpClient( ObjectID id ) {

		this.objectID = id;
	}


	public void hereIsGum( GumResponseEntry gumResponseEntry ) throws RemoteException {

	}


	public ObjectID getObjectID() throws RemoteException {

		return objectID;
	}
}
