/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.peer.ui.command;

import org.ourgrid.common.config.Configuration;

public class UIMessages {

	public static final String STARTING_GUI = "Starting Peer GUI...";

	public static final String COULD_NOT_START_GUI = "GUI Service cannot be started";

	public static final String SETTING_GRID = "Loading grid description file.";

	public static final String GRID_SET = "Grid successfully loaded.";

	public static final String PEER_IS_NOT_RUNNING = "OurGrid Peer " + Configuration.VERSION + " is not running!";

	public static final String PEER_IS_UP_RUNNING = "OurGrid Peer " + Configuration.VERSION + " is up and running. ";

	public static final String LOCAL_MACHINES = "Local Grid Machines:";

	public static final String REMOTE_MACHINES = "Grid Machines received from the community:";

	public static final String PEER_IS_ALREADY_RUNNING = "OurGrid Peer " + Configuration.VERSION
			+ " is already running.";

	public static final String STARTING_WITH_DEFAULT_PROP = "Starting OurGrid Peer " + Configuration.VERSION
			+ " with default properties ...";

	public static final String STARTING_PEER = "Starting OurGrid Peer " + Configuration.VERSION + " ... ";

	public static final String PLEASE_CHECK_PROPERTIES = "Could not start peer. Please, check your peer.properties file!";

	public static final String GRID_COULD_NOT_BE_LOADED = "Peer Error: Grid could not be loaded.";

	public static final String ERROR_CAUSE = "Error Cause:";

	public static String PEER_STOPPING = "Stopping OurGrid Peer " + Configuration.VERSION + " ...";

	public static String PEER_STOPPED = "OurGrid Peer " + Configuration.VERSION + " successfully stopped.";

}
