package org.ourgrid.webstatus;

import java.rmi.Naming;
import java.util.Collection;

import org.ourgrid.common.spec.RequestSpec.RequestSource;
import org.ourgrid.peer.manager.status.ConsumerStatus;
import org.ourgrid.peer.manager.status.StatusProvider;

public class RMILookup {

	public static void main( String args[] ) {

		StatusProvider provider = null;
		Object o = null;

		try {
			provider = (StatusProvider) Naming.lookup( "rmi://foca:3082/STATUS_PROVIDER" );
			Collection<ConsumerStatus> consumersStatus = provider.getConsumersStatus( RequestSource.FROM_LOCAL_BROKER );
			System.out.println( "consum: " + consumersStatus );

		} catch ( Exception e ) {
			e.printStackTrace();
			System.exit( 2 );
		}

		System.exit( o != null ? 0 : 1 );
	}
}
