/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.webstatus;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

/**
 * Description: A class that will start the Thread that communicate with Core
 * Peer.
 */
public class WebStatusInitCommunicator implements ServletContextListener {

	/**
	 * Thread Core Communication
	 */
	Thread webStatusThread;

	/**
	 * Which port the webstatus will be bound property.
	 */
	static final String WEBSTATUS_PORT = "webstatus.port";

	/**
	 * WebStatus url property.
	 */
	static final String WEBSTATUS_URL = "webstatus.url";

	/**
	 * Default port.
	 */
	public static final int DEFAULT_WEBSTATUS_PORT = 4123;


	public void contextInitialized( ServletContextEvent evento ) {

		/*
		 * Will be implemented. System.out.println("Initializing Core
		 * Communicator...."); // obtaining parameters String corepeerURL =
		 * System.getProperty(CORE_PEER_URL); String corepeerPort =
		 * System.getProperty(CORE_PEER_PORT); String refreshTime =
		 * System.getProperty(WEBSTATUS_REFRESH_TIME); String webStatusImplPort =
		 * System.getProperty(WEBSTATUS_PORT); int webStatusImplPortInteger =
		 * DEFAULT_WEBSTATUS_PORT; if (webStatusImplPort != null) { try {
		 * webStatusImplPortInteger = Integer.parseInt(webStatusImplPort); }
		 * catch(Exception e) { System.err.println("Invalid WebStatus port...
		 * using default value."); } } int refreshTimeInteger =
		 * DEFAULT_REFRESH_TIME; if (refreshTime != null) { try {
		 * refreshTimeInteger = Integer.parseInt(refreshTime); } catch
		 * (Exception e) { System.err.println("Invalid refresh time... using
		 * default value."); } } if (corepeerPort == null) { corepeerPort =
		 * DEFAULT_CORE_PEER_PORT; } if( corepeerURL == null ) { corepeerURL =
		 * DEFAULT_CORE_PEER_URL; } corepeerURL = "rmi://" + corepeerURL + ":" +
		 * corepeerPort + "/CorePeer"; // creating registry Registry registry =
		 * null; try { // Init the Registry using the port number specified by
		 * registry = LocateRegistry.createRegistry(webStatusImplPortInteger); }
		 * catch(Exception e ) { System.err.println("Oops, problems when trying
		 * to create Registry on port "+ webStatusImplPortInteger +"! Cause:
		 * "+e.getCause()); e.printStackTrace(); } // creating WebStatus
		 * WebStatusImpl webstatus = null; try { webstatus = new
		 * WebStatusImpl(corepeerURL,
		 * refreshTimeInteger,webStatusImplPortInteger); } catch (Exception e) {
		 * System.err.println("Oops, problems when trying to create
		 * WebStatusImpl! Cause: "+e.getCause()); } this.webStatusThread = new
		 * Thread(webstatus); webStatusThread.start(); try {
		 * registry.bind("WebStatusImpl", webstatus); } catch (Exception e) {
		 * System.err.println("Oops, problems when trying to bind WebStatusImpl!
		 * Cause: "+e.getCause()); } // creating Status logger WebStatusLogger
		 * statusLogger = new WebStatusLogger(webstatus); Thread
		 * statusLoggerThread = new Thread(statusLogger);
		 * statusLoggerThread.start(); System.out.println("End of
		 * initialization.");
		 */
	}


	public void contextDestroyed( ServletContextEvent event ) {

		/*
		 * System.out.println("Destroying core communicator");
		 * //this.webStatusThread.stop(); //this.webStatusThread = null;
		 * System.out.println("Core communicator destroyed sucessfull.");
		 */
	}

}
