package org.ourgrid.common.gum;

import org.ourgrid.common.fd.State;

public enum GumStatus {

	CONTACTING(State.DOWN), READY(State.UP), RUNNING(State.UP), OWNER(State.UP), UP(State.UP);

	State basicState;


	GumStatus( State basicState ) {

		this.basicState = basicState;
	}


	public State basicState() {

		return basicState;
	}


	public boolean isUp() {

		return basicState().equals( State.UP );
	}

}
