/*
 * Copyright (c) 2002-2004 Universidade Federal de Campina Grande
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ourgrid.corepeer;

import java.util.List;
import java.util.Map;

import org.ourgrid.common.id.ObjectID;

public class PingerFactory {

	public Pinger makePinger( ObjectID peerID, Map<Long,ObjectID> knowPeers, List<ObjectID> peerList,
								Map<String,ObjectID> knowPeersByURL ) {

		return new PeerPinger( peerID, knowPeers, peerList, knowPeersByURL );
	}

}
