package org.ourgrid.mygrid.scheduler;

import org.ourgrid.common.config.ConfigException;
import org.ourgrid.common.gump.GumpClient;
import org.ourgrid.mygrid.replicaexecutor.EBReplicaExecutorFacade;
import org.ourgrid.mygrid.scheduler.gump.GumpManager;

/**
 * Fake class that reimplements the <code>schedule</code> method to do
 * nothing.
 */
public class FakeSchedulerEventEngine extends SchedulerEventEngine {

	public FakeSchedulerEventEngine( Scheduler scheduler, GumpManager gumpManager, GumpClient gridMachineConsumer,
										EBReplicaExecutorFacade ebReplicaExecutorFacade,
										EBSchedulerFacade ebSchedulerFacade ) throws ConfigException {

		super( scheduler, gumpManager, gridMachineConsumer, ebReplicaExecutorFacade, ebSchedulerFacade );
	}


	@Override
	protected boolean schedule( EBSchedulingHeuristic schedulingHeuristic ) {

		return false;
	}

}
