package org.ourgrid.mygrid.scheduler;

import org.ourgrid.common.event.RequestEvent;
import org.ourgrid.mygrid.scheduler.jobmanager.JobManager;
import org.ourgrid.mygrid.scheduler.jobmanager.JobManagerListenerRemote;

public class RemoveJobManagerListenerRequestEvent implements RequestEvent {

	private static final long serialVersionUID = 33L;

	private final JobManagerListenerRemote listener;

	private final JobManager jobManager;


	public RemoveJobManagerListenerRequestEvent( JobManager jobManager, JobManagerListenerRemote listener ) {

		this.jobManager = jobManager;
		this.listener = listener;

	}


	public void process() {

		jobManager.removeListener( listener );
	}
}
