/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.mygrid.scheduler.event;

import org.ourgrid.common.event.ResponseEvent;

/**
 * SchedulerTestResponseEvent This Event is used only for testing. It is put on
 * a EventQueue when the SchedulerTestRequestEvent's <code>process</code>
 * method is invoked.
 */
public class SchedulerTestResponseEvent implements ResponseEvent {

	private static final long serialVersionUID = 33L;


	/**
	 * Returns Boolean.True.
	 * 
	 * @return Boolean.True.
	 * @see org.ourgrid.common.event.ResponseEvent#getResponse()
	 */
	public Object getResponse() {

		return Boolean.TRUE;
	}

}
