/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.mygrid.scheduler.gump;

import junit.framework.TestCase;

import org.ourgrid.common.gump.Gump;
import org.ourgrid.common.spec.PeerSpec;
import org.ourgrid.mygrid.scheduler.test.FakeGump;
import org.ourgrid.test.SchedulerFastTest;

/**
 * This class tests the MyGridGuMPSpecServices class.
 */
public class MyGridGumpSpecServicesTest extends TestCase implements SchedulerFastTest {

	public static void main( String[ ] args ) {

	}


	/*
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {

		super.setUp();
	}


	/*
	 * @see TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {

		super.tearDown();
	}


	public void testFakeSpecServices() {

		PeerSpec spec = new PeerSpec( "fake.ip.com", 9876 );
		spec.setLabel( MyGridGumpSpecServices.FAKE_GUMP );

		Gump gump = MyGridGumpSpecServices.getGump( spec );
		assertTrue( gump instanceof FakeGump );
	}
}
