package org.ourgrid.mygrid.scheduler.jobmanager;

import java.rmi.Remote;
import java.rmi.RemoteException;

import org.ourgrid.mygrid.scheduler.ExecutionStatus;

public interface JobManagerListenerRemote extends MyGridDownListener, Remote {

	public void jobCreated( JobEntry jobEntry ) throws RemoteException;


	public void replicaStateChanged( ReplicaEntry replicaEntry, ExecutionStatus jobState, ExecutionStatus taskState,
										int numberOfTaskFails ) throws RemoteException;


	public void removeJob( int jobId ) throws RemoteException;


	public void jobCanceled( int jobId ) throws RemoteException;

}
