/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.mygrid.ui.command;

public class ErrorCode {

	public static final int OK = 0;

	public static final int GRID_COULD_NOT_BE_LOADED = 1;

	public static final int THE_JOB_COULD_NOT_BE_ADDED = 2;

	public static final int THE_JOB_COULD_NOT_BE_CANCELLED = 3;

	public static final int COULD_NOT_WAIT_FOR_JOB = 4;

	public static final int COULD_NOT_PRINT_GRID_STATUS = 5;

	public static final int MYGRID_COULD_NOT_BE_STOPPED = 6;

	public static final int FAIL = 7;

	public static final int MYGRID_COULD_NOT_BE_STARTED = 8;

	public static final int COULD_NOT_START_GUI = 9;

	public static final int COULD_NOT_CLEAN_JOBS = 10;

	public static final int START_CODE = 11;
}
