package org.ourgrid.mygrid.ui.gui;

import org.ourgrid.mygrid.scheduler.jobmanager.JobManager;
import org.ourgrid.mygrid.scheduler.jobmanager.TaskEntry;
import org.ourgrid.mygrid.ui.gui.event.GUIActionEvent;
import org.ourgrid.mygrid.ui.gui.event.GUIEventType;

public class GUICreateReplicaNotifyEvent implements GUIActionEvent {

	private static final long serialVersionUID = 33L;

	private final JobManager manager;

	private final TaskEntry task;


	public GUICreateReplicaNotifyEvent( TaskEntry task, JobManager manager ) {

		this.task = task;
		this.manager = manager;
	}


	public GUIEventType process() {

		manager.createNewReplica( task );

		return GUIEventType.JOB;
	}
}
