package org.ourgrid.mygrid.ui.gui.event;

import org.ourgrid.common.id.GumID;
import org.ourgrid.mygrid.ui.gui.SimpleSynchronizedGridManager;

public class GUIDeleteGumNotifyEvent implements GUIActionEvent {

	private static final long serialVersionUID = 33L;

	private SimpleSynchronizedGridManager manager;

	private GumID gumID;


	public GUIDeleteGumNotifyEvent( GumID gumID, SimpleSynchronizedGridManager manager ) {

		this.gumID = gumID;
		this.manager = manager;
	}


	public GUIEventType process() {

		manager.deleteGum( gumID );
		return GUIEventType.GUMS;
	}

}
