package org.ourgrid.mygrid.ui.gui.event;

import org.ourgrid.common.id.ObjectID;
import org.ourgrid.common.spec.GumSpec;
import org.ourgrid.mygrid.ui.gui.SimpleSynchronizedGridManager;

public class GUIHereIsGumNotifyEvent implements GUIActionEvent {

	private static final long serialVersionUID = 33L;

	private final SimpleSynchronizedGridManager manager;

	private final GumSpec spec;

	private final int jobID;

	private final ObjectID peerBrokerAccessID;


	public GUIHereIsGumNotifyEvent( GumSpec spec, int jobID, ObjectID peerBrokerAccessID,
									SimpleSynchronizedGridManager manager ) {

		this.spec = spec;
		this.jobID = jobID;
		this.peerBrokerAccessID = peerBrokerAccessID;
		this.manager = manager;
	}


	public GUIEventType process() {

		manager.hereIsGum( this.spec, this.jobID, this.peerBrokerAccessID );
		return GUIEventType.GUMS;
	}

}
