package org.ourgrid.mygrid.ui.gui.event;

import org.ourgrid.common.id.GumID;
import org.ourgrid.mygrid.ui.gui.SimpleSynchronizedGridManager;

public class GUIReadyNotifyEvent implements GUIActionEvent {

	private static final long serialVersionUID = 33L;

	private final SimpleSynchronizedGridManager manager;

	private final GumID gumID;


	public GUIReadyNotifyEvent( GumID gumID, SimpleSynchronizedGridManager manager ) {

		this.gumID = gumID;
		this.manager = manager;
	}


	public GUIEventType process() {

		manager.gumIsReady( this.gumID );
		return GUIEventType.GUMS;
	}

}
