package org.ourgrid.mygrid.ui.gui.event;

import java.util.Collection;

import org.ourgrid.common.spec.PeerSpec;
import org.ourgrid.mygrid.ui.gui.SimpleSynchronizedGridManager;

public class GUISetPeersNotifyEvent implements GUIActionEvent {

	private static final long serialVersionUID = 33L;

	private final SimpleSynchronizedGridManager manager;

	private final Collection<PeerSpec> peerSpecs;


	public GUISetPeersNotifyEvent( Collection<PeerSpec> peerSpecs, SimpleSynchronizedGridManager manager ) {

		this.peerSpecs = peerSpecs;
		this.manager = manager;

	}


	public GUIEventType process() {

		manager.setPeers( this.peerSpecs );

		return GUIEventType.PEERS;
	}

}
